明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1538|回复: 0

写了个调用scale命令的程序,但实现不了,求教

[复制链接]
发表于 2007-3-23 15:29:00 | 显示全部楼层 |阅读模式

void asdknewscale()
{
 // TODO: Implement the command
    ads_point cp = {5.0, 5.0, 0.0};
 ads_real rad = 2.0;
 ads_name circEnt;
int rc = RTNORM;

 struct resbuf *rbcirc;

 acedCommand(RTSTR, "SCALE",
    RTPOINT, cp,
    RTREAL, rad,
    RTNONE);

           acedSSGet(NULL,NULL,NULL,NULL,circEnt);

   acedInitGet(RSG_NONULL, NULL);
   acedGetPoint(NULL, "\nPick base point: ", cp);
   
   acedInitGet(RSG_NONULL + RSG_NOZERO + RSG_NONEG, NULL);
    acedGetReal("\nscale factor: ", &rad);
  if(rc != RTNORM)
   {
    acutPrintf("\nError entering: ");
    return;
   }

   rbcirc = acutBuildList(RTSTR, "SCALE",
           RTPOINT, cp,
           RTREAL, rad,
           RTNONE);

  

     acedCmd(rbcirc);
  

     acutRelRb(rbcirc);

 
 

 }

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-25 21:44 , Processed in 0.147547 second(s), 23 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表